Boolean

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.write
Class Boolean

    java.lang.Object
      jxl.biff.RecordData
          jxl.biff.WritableRecordData
              jxl.write.biff.CellValue
                  jxl.write.biff.BooleanRecord
                      jxl.write.Boolean

All Implemented Interfaces:
  jxl.biff.ByteData, BooleanCell, Cell, WritableCell

    public class Boolean

extends jxl.write.biff.BooleanRecord
implements WritableCell, BooleanCell

A cell, created by user applications, which contains a boolean (or in some cases an error) value

Constructor Summary
`Boolean(BooleanCell nc)` Constructor used internally by the application when making a writable copy of a spreadsheet that has been read in
`Boolean(int c, int r, boolean val)` Constructs a boolean value, which, when added to a spreadsheet, will display the specified value at the column/row position indicated.
`Boolean(int c, int r, boolean val, CellFormat st)` Constructs a boolean, which, when added to a spreadsheet, will display the specified value at the column/row position with the specified CellFormat.

Method Summary
`WritableCell` | `copyTo(int col, int row)` Implementation of the deep copy function
`void` | `setValue(boolean val)` Sets the boolean value for this cell

Methods inherited from class jxl.write.biff.BooleanRecord
`getContents, getData, getType, getValue`

Methods inherited from class jxl.write.biff.CellValue
`addCellFeatures, getCellFeatures, getCellFormat, getColumn, getRow, getSheet, getWritableCellFeatures, isHidden, removeCellFeatures, removeComment, removeDataValidation, setCellFeatures, setCellFormat`

Methods inherited from class jxl.biff.WritableRecordData
`getBytes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jxl.write.WritableCell
`getWritableCellFeatures, setCellFeatures, setCellFormat`

Methods inherited from interface jxl.BooleanCell
`getValue`

Methods inherited from interface jxl.Cell
`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

Constructor Detail

### Boolean

    public Boolean(int c,
                   int r,
                   boolean val)

  Constructs a boolean value, which, when added to a spreadsheet, will display the specified value at the column/row position indicated.

  Parameters:
    `c` - the column
    `r` - the row
    `val` - the value

### Boolean

    public Boolean(int c,
                   int r,
                   boolean val,
                   CellFormat st)

  Constructs a boolean, which, when added to a spreadsheet, will display the specified value at the column/row position with the specified CellFormat. The CellFormat may specify font information

  Parameters:
    `c` - the column
    `r` - the row
    `val` - the value
    `st` - the cell format

### Boolean

    public Boolean(BooleanCell nc)

  Constructor used internally by the application when making a writable copy of a spreadsheet that has been read in

  Parameters:
    `nc` - the cell to copy

Method Detail

### setValue

    public void setValue(boolean val)

  Sets the boolean value for this cell

  Overrides:
    `setValue` in class `jxl.write.biff.BooleanRecord`
  Parameters:
    `val` - the value

### copyTo

    public WritableCell copyTo(int col,
                               int row)

  Implementation of the deep copy function

  Specified by:
    `copyTo` in interface `WritableCell`
  Parameters:
    `col` - the column which the new cell will occupy
    `row` - the row which the new cell will occupy
  Returns:
    a copy of this cell, which can then be added to the sheet

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD